Summary: PostScript utilities
Name: psutils
Version: p17
Release: ipl9mdk
Source0: ftp://ftp.dante.de/pub/tex-archive/support/%name-%version.tar.bz2
Patch0: psutils-make.patch.bz2
Patch1: psutils-maketext.patch.bz2
License: freeware
Group: Publishing
Requires: perl

%description
psutils contains some utilities for manipulating PostScript documents.
Page selections and rearrangement are supported, including arrengement
into signatures for booklet printing, and page merging for n-up printing.

%prep
%setup -q -n psutils
%patch0 -p1
%patch1 -p1

%build
make -f Makefile.unix RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
	BUILDROOT="$RPM_BUILD_ROOT" PERL=/usr/bin/perl

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,share/psutils}
make -f Makefile.unix install BUILDROOT="$RPM_BUILD_ROOT"
strip $RPM_BUILD_ROOT/usr/bin/{epsffit,psbook,psnup,psresize,pstops,psselect}
bzip2 -9f $RPM_BUILD_ROOT/usr/man/man1/*
#move the man page
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share

%files
%doc LICENSE README
%attr(755,root,root) /usr/bin/*
%dir /usr/share/psutils
%_mandir/man1/*
/usr/share/psutils/*

%changelog
* Sat Oct 05 2002 Rider <rider@altlinux.ru> p17-ipl9mdk
- rebuild (gcc 3.2)
- specfile cleanup

* Mon Apr 15 2002 Rider <rider@altlinux.ru> p17-ipl8mdk
- rebuild

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> p17-6mdk
- rebuilt with new %doc and _mandir macro

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> p17-5mdk
- Fix bad tag value.
- Fix ownership.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> p17-4mdk
- Fix group.

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Rebuilt for Oxygen.

* Fri Aug 27 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Ajusted perl path in scripts.

* Fri Aug 13 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
